For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Cross-Chain Transfer

Retrieve details of a specific Cross-Chain Transfer

get
/v0/customers/{customer_id}/cross-chain-transfer/{transfer_id}
Path parameters
customer_idstring · uuidRequired

The unique identifier of the customer

transfer_idstring · uuidRequired

The unique identifier of the cross-chain transfer

Header parameters
Api-KeystringRequired

Your secret API key, available in the developer dashboard. Include this header on every request to authenticate your application.

Responses
200

Successful retrieval of Cross-Chain Transfer details

application/json
idstring · uuidOptional

The unique identifier for the cross-chain transfer

statusstring · enumOptional

The current status of the cross-chain transfer

Possible values:
amountstring · decimalOptional

The amount of the cross-chain transfer as a numeric string

Pattern: ^[0-9]+(\.[0-9]+)?$
source_networkstring · enumOptional

The blockchain network for the source

Possible values:
source_tokenstring · enumOptional

The token for the source

Possible values:
source_addressstring · nullableOptional

The blockchain address from which the funds will be sent

destination_networkstring · enumOptional

The blockchain network for the destination

Possible values:
destination_tokenstring · enumOptional

The token for the destination

Possible values:
destination_addressstringOptional

The blockchain address where the funds will be sent

get/v0/customers/{customer_id}/cross-chain-transfer/{transfer_id}
GET /v0/customers/{customer_id}/cross-chain-transfer/{transfer_id} HTTP/1.1
Host: api.alignlabs.dev
Api-Key: text
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "status": "pending",
  "amount": "text",
  "source_network": "polygon",
  "source_token": "usdc",
  "source_address": "text",
  "destination_network": "polygon",
  "destination_token": "usdc",
  "destination_address": "text",
  "quote": {
    "deposit_token": "usdc",
    "deposit_address": "text",
    "deposit_network": "polygon",
    "deposit_amount": "text",
    "fee_amount": "text"
  }
}

Last updated